Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence Class Reference

`#include <ssl_endpoints.h>`

Inheritance diagram for _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence:

[legend]
Collaboration diagram for _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence (void)
| _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence (CORBA::ULong maximum, CORBA::ULong length, SSLIOP::SSL *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence (const _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence &rhs)
_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence & | operator= (const _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence &rhs)
virtual | ~_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence (void)
SSLIOP::SSL & | operator[] (CORBA::ULong i)
const SSLIOP::SSL & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
SSLIOP::SSL * | get_buffer (CORBA::Boolean orphan=0)
const SSLIOP::SSL * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, SSLIOP::SSL *data, CORBA::Boolean release)
## Static Public Methods
SSLIOP::SSL * | allocbuf (CORBA::ULong size)
void | freebuf (SSLIOP::SSL *buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence | ( | void |  | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence | ( | CORBA::ULong | maximum | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | SSLIOP::SSL * | data,
|  | CORBA::Boolean | release = 0
| ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence | ( | const _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence & | rhs | ) |

_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::~_TAO_Unbounded_Sequence_TAO_SSLEndpointSequence | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

ACE_INLINE SSLIOP::SSL * _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::freebuf | ( | SSLIOP::SSL * | buffer | ) | `[static]`

ACE_INLINE const SSLIOP::SSL * _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::get_buffer | ( | void |  | ) | const

ACE_INLINE SSLIOP::SSL * _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

ACE_INLINE _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence & _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::operator= | ( | const _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence & | rhs | ) |

ACE_INLINE const SSLIOP::SSL & _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::operator[] | ( | CORBA::ULong | i | ) | const

ACE_INLINE SSLIOP::SSL & _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::operator[] | ( | CORBA::ULong | i | ) |

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_SSLEndpointSequence::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | SSLIOP::SSL * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- ssl_endpoints.h
- ssl_endpoints.cpp
- ssl_endpoints.i